=== debian/changelog ===
pandoc (2.17.1.1-2~deb12u1) bookworm; urgency=high

  * Non-maintainer upload.
  * Rebuild for bookworm.
  * Add d/salsa-ci.yml for Salsa CI.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 25 Jul 2023 23:01:50 +0200

pandoc (2.17.1.1-2) unstable; urgency=high

  * add patches cherry-picked upstream
    to fix arbitrary file write vulnerability;
    closes: bug#1041976, thanks to Guilhem Moulin;
    CVE-2023-35936 CVE-2023-35936

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2023 18:43:57 +0200

pandoc (2.17.1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Workaround i386 FTBFS with -O0. (Closes: #1023149)

 -- Adrian Bunk <bunk@debian.org>  Sat, 19 Nov 2022 15:13:51 +0200

pandoc (2.17.1.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#979124, thanks to Kenshi Muto and Yukiharu YABUKI;
    contains many bugfixes and feature additions, including...:
    + DocBook reader: ensure that first and last names are separated;
      closes: bug#963128, thanks to Vincent Lefevre
    + DocBook reader: parse releaseinfo as metadata;
      closes: bug#963129, thanks to Vincent Lefevre
    + update template for reveal.js 4.0.0;
      closes: bug#969475, thanks to Thomas Clavier

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * add patches cherry-picked upstream to use newer skylighting
  * update/unfuzz patches
  * add GHC (build-)dependencies for
    citeproc commonmark commonmark-extensions commonmark-pandoc
    file-embed hslua-aeson hslua-marshalling hslua-module-path
    hslua-module-version lpeg pandoc-lua-marshal pretty-show
    unicode-collation xml-conduit yaml;
    bump GHC bounds for
    haddock-library hslua hslua-module-system hslua-module-text
    ipynb jira-wiki-markup pandoc-types
    skylighting skylighting-core tasty-lua;
    tighten GHC bounds for texmath;
    tighten lower GHC bounds for doclayout doctemplates;
    relax upper GHC bounds for aeson attoparsec base64-bytestring
    blaze-markup network-uri random tasty unicode-transforms;
    drop unneeded lower GHC bounds for
    aeson-pretty blaze-html blaze-markup case-insensitive
    exceptions http-client http-client-tls network tagsoup
    tasty tasty-golden;
    drop GHC (build-)dependencies on
    bitarray cmark-gfm executable-path hsyaml http
    quickcheck2 unordered-containers
  * update copyright info: update coverage
  * update TODOs
  * update long descriptions,
    based on upstream Cabal file project description

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Aug 2022 16:45:31 +0200

pandoc (2.10-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update TODOs: list packages needed for which upgrades
  * unfuzz patches
  * add GHC (build-)dependencies for connection;
    bump GHC bounds for hslua pandoc-types;
    tighten lower GHC bounds for doctemplates
    hslua-module-text skylighting skylighting-core texmath;
    relax upper GHC bounds for aeson haddock-library
    base64-bytestring http-client quickcheck2 tasty;
    drop GHC (build-)dependencies for vector
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.6.1
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + stop filter dist/*
    + add usage config
  * modernize source helper copyright-check
  * enable tests before loading haskell snippets,
    apparently needed by recent dh-haskell
  * extend patch 2001 to cover html-related tests
  * add patches cherry-picked upstream
    to modernize jira-wiki-markup

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jun 2022 08:03:18 +0200
