## pandoc 3.1.11.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -16,18 +16,18 @@
  ghc-prof,
  happy,
  haskell-devscripts,
- libghc-hslua-cli-dev (<< 1.5) [!ppc64 !ppc64el],
- libghc-hslua-cli-dev (>= 1.4.1) [!ppc64 !ppc64el],
- libghc-hslua-cli-prof [!ppc64 !ppc64el],
- libghc-pandoc-dev (>= 3.1.3),
- libghc-pandoc-lua-engine-dev (<< 0.3) [!ppc64 !ppc64el],
- libghc-pandoc-lua-engine-dev (>= 0.2) [!ppc64 !ppc64el],
- libghc-pandoc-lua-engine-prof [!ppc64 !ppc64el],
+ libghc-hslua-cli-dev (<< 1.5),
+ libghc-hslua-cli-dev (>= 1.4.1),
+ libghc-hslua-cli-prof,
+ libghc-pandoc-dev (>= 3.1.11.1),
+ libghc-pandoc-lua-engine-dev (<< 0.3),
+ libghc-pandoc-lua-engine-dev (>= 0.2),
+ libghc-pandoc-lua-engine-prof,
  libghc-pandoc-prof,
- libghc-temporary-dev (<< 1.4) [!ppc64 !ppc64el],
- libghc-temporary-prof [!ppc64 !ppc64el],
+ libghc-temporary-dev (<< 1.4),
+ libghc-temporary-prof,
  pandoc-data,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pandoc.org/
 Vcs-Git: https://salsa.debian.org/haskell-team/pandoc.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc
