=== debian/rules ===
--- 
+++ 
@@ -36,13 +36,6 @@
 # haddock: internal error: <stdout>: commitBuffer: invalid argument (invalid character)
 export LANG=C.UTF-8
 
-# Omit Lua scripting engine on unsupported architectures
-ifneq (,$(filter $(DEB_BUILD_ARCH),ppc64 ppc64el))
-DEB_SETUP_GHC_CONFIGURE_ARGS += --flags=-lua
-else
-DEB_SETUP_GHC_CONFIGURE_ARGS += --flags=+lua
-endif
-
 # Use threaded RTS only when supported
 DEB_SETUP_GHC_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC_VERSION)/libHSrts_thr.a),,--flags=-threaded)
 
@@ -52,6 +45,12 @@
 # Reduce compile-time memory utilization on low-memory architectures
 ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf hppa mips mipsel))
 DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-optc--param -optcggc-min-expand=10 -O0"
+endif
+
+# avoid "relocation R_LARCH_B26 overflow" during static linking
+# (see bug#1071205)
+ifneq (,$(filter $(DEB_BUILD_ARCH),loong64))
+DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-optc-mcmodel=medium"
 endif
 
 ifneq (,$(filter $(DEB_HOST_ARCH_CPU), i386))
@@ -85,11 +84,10 @@
  -V"pandoc:Abi=$(ABI)" \
  -V"pandoc:Lib=$(LIB)"
 
-# generate man page only when built with Lua supprt
-ifeq (,$(filter $(DEB_BUILD_ARCH),ppc64 ppc64el))
+# generate man page
 DEB_INSTALL_MANPAGES_$(pkg) = man/pandoc.1
 build/$(pkg):: man/pandoc.1
-man/pandoc.1: MANUAL.txt man/pandoc.1.before man/pandoc.1.after
+man/pandoc.1: MANUAL.txt
 	dist-ghc/build/pandoc/pandoc $< -f markdown -t man -s \
 		--lua-filter man/manfilter.lua \
 		--include-before-body man/pandoc.1.before \
@@ -99,4 +97,3 @@
 		-o $@
 clean::
 	rm -f man/pandoc.1
-endif
